% Interface for 3D ring resonator (stadium shape) geometry setup

keys.uol = 1.0e-6; % Unit of Length (in m)

% incoming waveguide
keys.wg_width = 0.5; % waveguide width
keys.wg_height = 0.25; % waveguide height 

% resonator parameters
keys.resonator_radius = 5.0; % ring resonator radius
keys.resonator_wg_gap = 0.3; % gap between resonator and waveguide
keys.resonator_coupling_length = 2.5;

% meshing parameter
keys.wg_segment_length = 0.45; % discretization segment length

jcmwave_geo('.', keys, 'jcmt_pattern', 'ring_resonator', 'show', inf);
